Name:           autojump
Version:        20
Release:        2%{?dist}

Summary:        A fast way to navigate your filesystem from the command line

Group:          Applications/Productivity
License:        GPLv3+
URL:            http://wiki.github.com/joelthelion/autojump
Source:         https://github.com/downloads/joelthelion/%{name}/%{name}_v%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       python

%description
autojump is a faster way to navigate your filesystem. It works by maintaining 
a database of the directories you use the most from the command line.


%package zsh
Requires:       %{name} = %{version}-%{release}
Group:          Applications/Productivity
Summary:        Autojump for zsh

%description zsh
autojump is a faster way to navigate your filesystem. It works by maintaining 
a database of the directories you use the most from the command line.
autojump-zsh is designed to work with zsh.

%prep
%setup -q -n %{name}_v%{version}


%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}

# There must be a more elegant way to do that
install -p icon.png $RPM_BUILD_ROOT%{_datadir}/%{name}/icon.png
install -Dp %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -p jumpapplet $RPM_BUILD_ROOT%{_bindir}/jumpapplet
install -Dpm 644 _j $RPM_BUILD_ROOT%{_datadir}/zsh/site-functions/_j
install -Dpm 644 %{name}.bash $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/%{name}.bash
install -Dpm 644 %{name}.sh $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/%{name}.sh
install -Dpm 644 %{name}.zsh $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/%{name}.zsh

install -Dpm 644 %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1
# jumpapplet needs autojump.py
ln -s %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README.md
%{_bindir}/%{name}
%{_bindir}/%{name}.py
%{_bindir}/jumpapplet
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/profile.d/%{name}.sh
%config(noreplace) %{_sysconfdir}/profile.d/%{name}.bash

%files zsh
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/profile.d/%{name}.zsh
%dir %{_datadir}/zsh/site-functions/
%{_datadir}/zsh/site-functions/_j

%changelog
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 07 2012 Thibault North <tnorth@fedoraproject.org> - 20-1
- Update to version 20

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Dec 11 2011 Thibault North <tnorth@fedoraproject.org> - 19-2
- Add symlink for jumpapplet

* Sun Dec 11 2011 Thibault North <tnorth@fedoraproject.org> - 19-1
- Update to version 19

* Sun Apr 10 2011 Thibault North <tnorth@fedoraproject.org> - 15-1
- New upstream release

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Thibault North <tnorth@fedoraproject.org> - 14-2
- Fixes for review

* Sat Dec 18 2010 Thibault North <tnorth@fedoraproject.org> - 14-1
- Initial package

